diff options
Diffstat (limited to 'regress')
-rw-r--r-- | regress/Makefile | 3 | ||||
-rw-r--r-- | regress/README.regress | 5 | ||||
-rw-r--r-- | regress/dynamic-forward.sh | 4 | ||||
-rw-r--r-- | regress/login-timeout.sh | 29 | ||||
-rw-r--r-- | regress/sftp-cmds.sh | 2 | ||||
-rw-r--r-- | regress/ssh-com-client.sh | 5 | ||||
-rw-r--r-- | regress/ssh-com-keygen.sh | 5 | ||||
-rw-r--r-- | regress/ssh-com-sftp.sh | 5 | ||||
-rw-r--r-- | regress/ssh-com.sh | 5 | ||||
-rw-r--r-- | regress/test-exec.sh | 18 | ||||
-rw-r--r-- | regress/try-ciphers.sh | 18 |
11 files changed, 81 insertions, 18 deletions
diff --git a/regress/Makefile b/regress/Makefile index 76e28d36d..cf65b3630 100644 --- a/regress/Makefile +++ b/regress/Makefile | |||
@@ -1,4 +1,4 @@ | |||
1 | # $OpenBSD: Makefile,v 1.26 2003/10/11 11:49:49 dtucker Exp $ | 1 | # $OpenBSD: Makefile,v 1.27 2004/02/17 08:23:20 dtucker Exp $ |
2 | 2 | ||
3 | REGRESS_TARGETS= t1 t2 t3 t4 t5 t6 t7 t-exec | 3 | REGRESS_TARGETS= t1 t2 t3 t4 t5 t6 t7 t-exec |
4 | tests: $(REGRESS_TARGETS) | 4 | tests: $(REGRESS_TARGETS) |
@@ -21,6 +21,7 @@ LTESTS= connect \ | |||
21 | broken-pipe \ | 21 | broken-pipe \ |
22 | try-ciphers \ | 22 | try-ciphers \ |
23 | yes-head \ | 23 | yes-head \ |
24 | login-timeout \ | ||
24 | agent \ | 25 | agent \ |
25 | agent-getpeereid \ | 26 | agent-getpeereid \ |
26 | agent-timeout \ | 27 | agent-timeout \ |
diff --git a/regress/README.regress b/regress/README.regress index b479c6c07..6ff032b68 100644 --- a/regress/README.regress +++ b/regress/README.regress | |||
@@ -90,5 +90,8 @@ Known Issues. | |||
90 | fail (because it's not a tcp socket) and will be identified as | 90 | fail (because it's not a tcp socket) and will be identified as |
91 | "unknown", which is then checked against tcpwrappers. | 91 | "unknown", which is then checked against tcpwrappers. |
92 | 92 | ||
93 | - If your build requires ssh-rand-helper regress tests will fail | ||
94 | unless ssh-rand-helper is in pre-installed (the path to | ||
95 | ssh-rand-helper is hard coded). | ||
93 | 96 | ||
94 | $Id: README.regress,v 1.3 2004/01/28 01:26:14 dtucker Exp $ | 97 | $Id: README.regress,v 1.4 2004/03/08 20:12:18 tim Exp $ |
diff --git a/regress/dynamic-forward.sh b/regress/dynamic-forward.sh index 2b0b825d0..3a6e5c1ef 100644 --- a/regress/dynamic-forward.sh +++ b/regress/dynamic-forward.sh | |||
@@ -1,4 +1,4 @@ | |||
1 | # $OpenBSD: dynamic-forward.sh,v 1.2 2003/07/03 08:21:46 markus Exp $ | 1 | # $OpenBSD: dynamic-forward.sh,v 1.3 2004/02/28 12:16:57 dtucker Exp $ |
2 | # Placed in the Public Domain. | 2 | # Placed in the Public Domain. |
3 | 3 | ||
4 | tid="dynamic forwarding" | 4 | tid="dynamic forwarding" |
@@ -7,7 +7,7 @@ PORT=4242 | |||
7 | FWDPORT=4243 | 7 | FWDPORT=4243 |
8 | DATA=/bin/ls${EXEEXT} | 8 | DATA=/bin/ls${EXEEXT} |
9 | 9 | ||
10 | if have_prog nc && nc -h 2>&1 | grep "x proxy address" >/dev/null; then | 10 | if have_prog nc && nc -h 2>&1 | grep "proxy address" >/dev/null; then |
11 | proxycmd="nc -x 127.0.0.1:$FWDPORT -X" | 11 | proxycmd="nc -x 127.0.0.1:$FWDPORT -X" |
12 | elif have_prog connect; then | 12 | elif have_prog connect; then |
13 | proxycmd="connect -S 127.0.0.1:$FWDPORT -" | 13 | proxycmd="connect -S 127.0.0.1:$FWDPORT -" |
diff --git a/regress/login-timeout.sh b/regress/login-timeout.sh new file mode 100644 index 000000000..dfc6e6b44 --- /dev/null +++ b/regress/login-timeout.sh | |||
@@ -0,0 +1,29 @@ | |||
1 | # $OpenBSD: login-timeout.sh,v 1.1 2004/02/17 08:23:20 dtucker Exp $ | ||
2 | # Placed in the Public Domain. | ||
3 | |||
4 | tid="connect after login grace timeout" | ||
5 | |||
6 | trace "test login grace with privsep" | ||
7 | echo "LoginGraceTime 10s" >> $OBJ/sshd_config | ||
8 | echo "MaxStartups 1" >> $OBJ/sshd_config | ||
9 | start_sshd | ||
10 | |||
11 | (echo SSH-2.0-fake; sleep 60) | telnet localhost ${PORT} >/dev/null 2>&1 & | ||
12 | sleep 15 | ||
13 | ${SSH} -F $OBJ/ssh_config somehost true | ||
14 | if [ $? -ne 0 ]; then | ||
15 | fail "ssh connect after login grace timeout failed with privsep" | ||
16 | fi | ||
17 | |||
18 | kill `cat $PIDFILE` | ||
19 | |||
20 | trace "test login grace without privsep" | ||
21 | echo "UsePrivilegeSeparation no" >> $OBJ/sshd_config | ||
22 | start_sshd | ||
23 | |||
24 | (echo SSH-2.0-fake; sleep 60) | telnet localhost ${PORT} >/dev/null 2>&1 & | ||
25 | sleep 15 | ||
26 | ${SSH} -F $OBJ/ssh_config somehost true | ||
27 | if [ $? -ne 0 ]; then | ||
28 | fail "ssh connect after login grace timeout failed without privsep" | ||
29 | fi | ||
diff --git a/regress/sftp-cmds.sh b/regress/sftp-cmds.sh index 3669b19ff..31b21d1f2 100644 --- a/regress/sftp-cmds.sh +++ b/regress/sftp-cmds.sh | |||
@@ -85,6 +85,7 @@ echo "get \"$DATA\" $COPY" | ${SFTP} -P ${SFTPSERVER} >/dev/null 2>&1 \ | |||
85 | || fail "get failed" | 85 | || fail "get failed" |
86 | cmp $DATA ${COPY} || fail "corrupted copy after get" | 86 | cmp $DATA ${COPY} || fail "corrupted copy after get" |
87 | 87 | ||
88 | if [ "$os" != "cygwin" ]; then | ||
88 | rm -f ${QUOTECOPY} | 89 | rm -f ${QUOTECOPY} |
89 | cp $DATA ${QUOTECOPY} | 90 | cp $DATA ${QUOTECOPY} |
90 | verbose "$tid: get filename with quotes" | 91 | verbose "$tid: get filename with quotes" |
@@ -92,6 +93,7 @@ echo "get \"$QUOTECOPY_ARG\" ${COPY}" | ${SFTP} -P ${SFTPSERVER} >/dev/null 2>&1 | |||
92 | || fail "put failed" | 93 | || fail "put failed" |
93 | cmp ${COPY} ${QUOTECOPY} || fail "corrupted copy after get with quotes" | 94 | cmp ${COPY} ${QUOTECOPY} || fail "corrupted copy after get with quotes" |
94 | rm -f ${QUOTECOPY} ${COPY} | 95 | rm -f ${QUOTECOPY} ${COPY} |
96 | fi | ||
95 | 97 | ||
96 | rm -f ${COPY}.dd/* | 98 | rm -f ${COPY}.dd/* |
97 | verbose "$tid: get to directory" | 99 | verbose "$tid: get to directory" |
diff --git a/regress/ssh-com-client.sh b/regress/ssh-com-client.sh index fc953228e..324a0a723 100644 --- a/regress/ssh-com-client.sh +++ b/regress/ssh-com-client.sh | |||
@@ -1,4 +1,4 @@ | |||
1 | # $OpenBSD: ssh-com-client.sh,v 1.5 2003/05/14 22:08:27 markus Exp $ | 1 | # $OpenBSD: ssh-com-client.sh,v 1.6 2004/02/24 17:06:52 markus Exp $ |
2 | # Placed in the Public Domain. | 2 | # Placed in the Public Domain. |
3 | 3 | ||
4 | tid="connect with ssh.com client" | 4 | tid="connect with ssh.com client" |
@@ -19,6 +19,9 @@ VERSIONS=" | |||
19 | 3.2.0 | 19 | 3.2.0 |
20 | 3.2.2 | 20 | 3.2.2 |
21 | 3.2.3 | 21 | 3.2.3 |
22 | 3.2.5 | ||
23 | 3.2.9 | ||
24 | 3.2.9.1 | ||
22 | 3.3.0" | 25 | 3.3.0" |
23 | 26 | ||
24 | # 2.0.10 2.0.12 2.0.13 don't like the test setup | 27 | # 2.0.10 2.0.12 2.0.13 don't like the test setup |
diff --git a/regress/ssh-com-keygen.sh b/regress/ssh-com-keygen.sh index dbe9b0a6b..29b02d946 100644 --- a/regress/ssh-com-keygen.sh +++ b/regress/ssh-com-keygen.sh | |||
@@ -1,4 +1,4 @@ | |||
1 | # $OpenBSD: ssh-com-keygen.sh,v 1.3 2003/05/14 22:08:27 markus Exp $ | 1 | # $OpenBSD: ssh-com-keygen.sh,v 1.4 2004/02/24 17:06:52 markus Exp $ |
2 | # Placed in the Public Domain. | 2 | # Placed in the Public Domain. |
3 | 3 | ||
4 | tid="ssh.com key import" | 4 | tid="ssh.com key import" |
@@ -22,6 +22,9 @@ VERSIONS=" | |||
22 | 3.2.0 | 22 | 3.2.0 |
23 | 3.2.2 | 23 | 3.2.2 |
24 | 3.2.3 | 24 | 3.2.3 |
25 | 3.2.5 | ||
26 | 3.2.9 | ||
27 | 3.2.9.1 | ||
25 | 3.3.0" | 28 | 3.3.0" |
26 | 29 | ||
27 | COMPRV=${OBJ}/comkey | 30 | COMPRV=${OBJ}/comkey |
diff --git a/regress/ssh-com-sftp.sh b/regress/ssh-com-sftp.sh index 6ca7dad51..936b4cca7 100644 --- a/regress/ssh-com-sftp.sh +++ b/regress/ssh-com-sftp.sh | |||
@@ -1,4 +1,4 @@ | |||
1 | # $OpenBSD: ssh-com-sftp.sh,v 1.4 2003/05/14 22:08:27 markus Exp $ | 1 | # $OpenBSD: ssh-com-sftp.sh,v 1.5 2004/02/24 17:06:52 markus Exp $ |
2 | # Placed in the Public Domain. | 2 | # Placed in the Public Domain. |
3 | 3 | ||
4 | tid="basic sftp put/get with ssh.com server" | 4 | tid="basic sftp put/get with ssh.com server" |
@@ -35,6 +35,9 @@ VERSIONS=" | |||
35 | 3.2.0 | 35 | 3.2.0 |
36 | 3.2.2 | 36 | 3.2.2 |
37 | 3.2.3 | 37 | 3.2.3 |
38 | 3.2.5 | ||
39 | 3.2.9 | ||
40 | 3.2.9.1 | ||
38 | 3.3.0" | 41 | 3.3.0" |
39 | 42 | ||
40 | # go for it | 43 | # go for it |
diff --git a/regress/ssh-com.sh b/regress/ssh-com.sh index c3715a242..7bcd85b65 100644 --- a/regress/ssh-com.sh +++ b/regress/ssh-com.sh | |||
@@ -1,4 +1,4 @@ | |||
1 | # $OpenBSD: ssh-com.sh,v 1.6 2003/11/07 10:16:44 jmc Exp $ | 1 | # $OpenBSD: ssh-com.sh,v 1.7 2004/02/24 17:06:52 markus Exp $ |
2 | # Placed in the Public Domain. | 2 | # Placed in the Public Domain. |
3 | 3 | ||
4 | tid="connect to ssh.com server" | 4 | tid="connect to ssh.com server" |
@@ -20,6 +20,9 @@ VERSIONS=" | |||
20 | 3.2.0 | 20 | 3.2.0 |
21 | 3.2.2 | 21 | 3.2.2 |
22 | 3.2.3 | 22 | 3.2.3 |
23 | 3.2.5 | ||
24 | 3.2.9 | ||
25 | 3.2.9.1 | ||
23 | 3.3.0" | 26 | 3.3.0" |
24 | # 2.0.10 does not support UserConfigDirectory | 27 | # 2.0.10 does not support UserConfigDirectory |
25 | # 2.3.1 requires a config in $HOME/.ssh2 | 28 | # 2.3.1 requires a config in $HOME/.ssh2 |
diff --git a/regress/test-exec.sh b/regress/test-exec.sh index 98851dc97..986d99287 100644 --- a/regress/test-exec.sh +++ b/regress/test-exec.sh | |||
@@ -1,4 +1,4 @@ | |||
1 | # $OpenBSD: test-exec.sh,v 1.14 2002/04/15 15:19:48 markus Exp $ | 1 | # $OpenBSD: test-exec.sh,v 1.15 2004/02/24 16:56:30 markus Exp $ |
2 | # Placed in the Public Domain. | 2 | # Placed in the Public Domain. |
3 | 3 | ||
4 | PORT=4242 | 4 | PORT=4242 |
@@ -49,28 +49,28 @@ SFTP=sftp | |||
49 | SFTPSERVER=/usr/libexec/openssh/sftp-server | 49 | SFTPSERVER=/usr/libexec/openssh/sftp-server |
50 | 50 | ||
51 | if [ "x$TEST_SSH_SSH" != "x" ]; then | 51 | if [ "x$TEST_SSH_SSH" != "x" ]; then |
52 | SSH=${TEST_SSH_SSH} | 52 | SSH="${TEST_SSH_SSH}" |
53 | fi | 53 | fi |
54 | if [ "x$TEST_SSH_SSHD" != "x" ]; then | 54 | if [ "x$TEST_SSH_SSHD" != "x" ]; then |
55 | SSHD=${TEST_SSH_SSHD} | 55 | SSHD="${TEST_SSH_SSHD}" |
56 | fi | 56 | fi |
57 | if [ "x$TEST_SSH_SSHAGENT" != "x" ]; then | 57 | if [ "x$TEST_SSH_SSHAGENT" != "x" ]; then |
58 | SSHAGENT=${TEST_SSH_SSHAGENT} | 58 | SSHAGENT="${TEST_SSH_SSHAGENT}" |
59 | fi | 59 | fi |
60 | if [ "x$TEST_SSH_SSHADD" != "x" ]; then | 60 | if [ "x$TEST_SSH_SSHADD" != "x" ]; then |
61 | SSHADD=${TEST_SSH_SSHADD} | 61 | SSHADD="${TEST_SSH_SSHADD}" |
62 | fi | 62 | fi |
63 | if [ "x$TEST_SSH_SSHKEYGEN" != "x" ]; then | 63 | if [ "x$TEST_SSH_SSHKEYGEN" != "x" ]; then |
64 | SSHKEYGEN=${TEST_SSH_SSHKEYGEN} | 64 | SSHKEYGEN="${TEST_SSH_SSHKEYGEN}" |
65 | fi | 65 | fi |
66 | if [ "x$TEST_SSH_SSHKEYSCAN" != "x" ]; then | 66 | if [ "x$TEST_SSH_SSHKEYSCAN" != "x" ]; then |
67 | SSHKEYSCAN=${TEST_SSH_SSHKEYSCAN} | 67 | SSHKEYSCAN="${TEST_SSH_SSHKEYSCAN}" |
68 | fi | 68 | fi |
69 | if [ "x$TEST_SSH_SFTP" != "x" ]; then | 69 | if [ "x$TEST_SSH_SFTP" != "x" ]; then |
70 | SFTP=${TEST_SSH_SFTP} | 70 | SFTP="${TEST_SSH_SFTP}" |
71 | fi | 71 | fi |
72 | if [ "x$TEST_SSH_SFTPSERVER" != "x" ]; then | 72 | if [ "x$TEST_SSH_SFTPSERVER" != "x" ]; then |
73 | SFTPSERVER=${TEST_SSH_SFTPSERVER} | 73 | SFTPSERVER="${TEST_SSH_SFTPSERVER}" |
74 | fi | 74 | fi |
75 | 75 | ||
76 | # these should be used in tests | 76 | # these should be used in tests |
diff --git a/regress/try-ciphers.sh b/regress/try-ciphers.sh index 2c727f66c..15827e250 100644 --- a/regress/try-ciphers.sh +++ b/regress/try-ciphers.sh | |||
@@ -1,4 +1,4 @@ | |||
1 | # $OpenBSD: try-ciphers.sh,v 1.8 2003/06/12 15:40:01 markus Exp $ | 1 | # $OpenBSD: try-ciphers.sh,v 1.9 2004/02/28 13:44:45 dtucker Exp $ |
2 | # Placed in the Public Domain. | 2 | # Placed in the Public Domain. |
3 | 3 | ||
4 | tid="try ciphers" | 4 | tid="try ciphers" |
@@ -28,3 +28,19 @@ for c in $ciphers; do | |||
28 | fail "ssh -1 failed with cipher $c" | 28 | fail "ssh -1 failed with cipher $c" |
29 | fi | 29 | fi |
30 | done | 30 | done |
31 | |||
32 | if ! ${SSH} -oCiphers=acss@openssh.org 2>&1 | grep "Bad SSH2 cipher" >/dev/null | ||
33 | then | ||
34 | |||
35 | echo "Ciphers acss@openssh.org" >> $OBJ/sshd_proxy | ||
36 | c=acss@openssh.org | ||
37 | for m in $macs; do | ||
38 | trace "proto 2 $c mac $m" | ||
39 | verbose "test $tid: proto 2 cipher $c mac $m" | ||
40 | ${SSH} -F $OBJ/ssh_proxy -2 -m $m -c $c somehost true | ||
41 | if [ $? -ne 0 ]; then | ||
42 | fail "ssh -2 failed with mac $m cipher $c" | ||
43 | fi | ||
44 | done | ||
45 | |||
46 | fi | ||